<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
$fecha=date('Y-m-d H:i:s');
$comentario=$_POST['comentario'];

$can=mysqli_query($con,"SELECT MAX(vene_n_venta)as vene_n_venta FROM ventas_espera where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$vene_n_venta=$dato['vene_n_venta']+1;
$can=mysqli_query($con,"SELECT MAX(vene_id)as vene_id FROM ventas_espera") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$vene_id=$dato['vene_id']+1;

$can=mysqli_query($con,"SELECT * FROM cliente c, cliente_venta_temp cv where c.clie_id=cv.cvt_clie_id and c.empresa='$empresa' and cv.usuario='$usu_id'") or die(mysqli_error($con)); 
if($dato=mysqli_fetch_array($can))
{
    $clie_cc=$dato['clie_cc'];
    $clie_id=$dato['clie_id'];
    $clie_nombre=$dato['clie_nombre'];
    $clie_correo=$dato['clie_correo'];
    $clie_telefono=$dato['clie_telefono'];
}
else
{
    $clie_id='';
}
             
$sql=mysqli_query($con, "SELECT apertura from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa' and mca_estado='1'");
$sql=mysqli_fetch_array($sql);
$apertura=$sql['apertura'];

$can1=mysqli_query($con,"SELECT * FROM venta_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 
$result=mysqli_num_rows($can1);
$can2=mysqli_query($con,"SELECT * FROM venta_detalle_combo_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 
$result2 = mysqli_num_rows($can2);
if($result+$result2 == 0)
{
    echo '<div class="alert alert-danger alert-dismissable">
         <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
         <strong>La lista de Articulos esta vacia </strong> 
    </div>';
}
else
{
    $registros=mysqli_query($con,"INSERT into ventas_espera (vene_id,vene_n_venta,vene_fecha,vene_estado,Cliente_clie_id,vene_observacion,usuario,apertura,sucursal,empresa)
    VALUES ('$vene_id','$vene_n_venta','$fecha','espera','$clie_id','$comentario','$usu_id','$apertura','$sucursal','$empresa')") or  die(mysqli_error($con));


    $can7=mysqli_query($con,"SELECT * FROM venta_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));  
    while($dato=mysqli_fetch_array($can7))
    {
        $vent_id=$dato['vent_id'];
        $art_art_id=$dato['art_art_id'];
        $vent_art_id=$dato['vent_art_id'];
        $vent_referencia=$dato['vent_referencia']; 
        $vent_nombre=$dato['vent_nombre'];           
        $vent_unidad=$dato['vent_unidad'];           
        $vent_x_cantidad=$dato['vent_x_cantidad'];           
        $vent_cantidad=$dato['vent_cantidad'];            
        $vent_precio=$dato['vent_precio'];
        $vent_tipo=$dato['vent_tipo'];
        $vent_iva=$dato['vent_iva'];
        $vent_desc=$dato['vent_desc'];

        $can=mysqli_query($con,"SELECT MAX(vened_id)as vened_id FROM venta_espera_detalle") or die(mysqli_error($con)); 
        $datov=mysqli_fetch_array($can);
        $vened_id=$datov['vened_id']+1;

        $can8=mysqli_query($con,"INSERT INTO venta_espera_detalle (vened_id,art_art_id,vened_art_id,vened_referencia,vened_nombre,vened_unidad,vened_x_cantidad,vened_cantidad,vened_iva,vened_desc,vened_precio,vened_tipo,empresa,ventas_espera_vene_id) 
        VALUES ('$vened_id','$art_art_id','$vent_art_id','$vent_referencia','$vent_nombre','$vent_unidad','$vent_x_cantidad','$vent_cantidad','$vent_iva','$vent_desc','$vent_precio','$vent_tipo','$empresa','$vene_id')") or die(mysqli_error($con));  

        //sabores
        $can9=mysqli_query($con,"SELECT * FROM venta_detalle_sabores_temp where usuario='$usu_id' and vend_id='$vent_id'") or die(mysqli_error($con));  
        while($dato9=mysqli_fetch_array($can9))
        {
            $sab_id=$dato9['sab_id'];
            $sab_nombre=$dato9['sab_nombre'];
            $art_id=$dato9['art_id'];
            $can8=mysqli_query($con,"INSERT INTO venta_espera_sabores_art (sab_id,sab_nombre,art_id,ved_id,vene_id) 
            VALUES ('$sab_id','$sab_nombre','$art_id','$vened_id','$vene_id')") or die(mysqli_error($con)); 
        }

        $sql=mysqli_query($con,"DELETE FROM venta_detalle_sabores_temp WHERE vend_id='$vent_id'") or  die(mysqli_error($con));
       
        //seriales
        $can9=mysqli_query($con,"SELECT * FROM seriales_temp where venta_detalle_temp_vent_id='$vent_id'") or die(mysqli_error($con));  
        while($ser=mysqli_fetch_array($can9))
        {
            $ser_codigo=$ser['ser_codigo'];
            $can10=mysqli_query($con,"INSERT INTO seriales_espera (sesp_codigo, vened_id,vene_id) 
            VALUES ('$ser_codigo','$vened_id','$vene_id')") or die(mysqli_error($con));  
        }
    }


    $can7=mysqli_query($con,"SELECT * FROM venta_detalle_combo_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));  
    while($dato=mysqli_fetch_array($can7))
    {
        $vdc_id=$dato['vdc_id'];
        $combo_id=$dato['combo_id'];
        $combo_cantidad=$dato['combo_cantidad'];
        $combo_nombre=$dato['combo_nombre']; 
        $combo_iva=$dato['combo_iva'];
        $combo_desc=$dato['combo_desc'];
        $combo_precio=$dato['combo_precio'];

        $can=mysqli_query($con,"SELECT MAX(vec_id)as vec_id FROM venta_espera_combo") or die(mysqli_error($con)); 
        $datov=mysqli_fetch_array($can);
        $vec_id=$datov['vec_id']+1;

        $can8=mysqli_query($con,"INSERT INTO venta_espera_combo (vec_id,combo_id,combo_cantidad,combo_nombre,combo_iva,combo_desc,combo_precio,ventas_espera_vene_id) 
        VALUES ('$vec_id','$combo_id','$combo_cantidad','$combo_nombre','$combo_iva','$combo_desc','$combo_precio','$vene_id')") or die(mysqli_error($con));  

        $can9=mysqli_query($con,"SELECT * FROM venta_detalle_combo_sabores_temp where usuario='$usu_id' and vdc_id='$vdc_id'") or die(mysqli_error($con));  
        while($dato9=mysqli_fetch_array($can9))
        {
            $sab_id=$dato9['sab_id'];
            $sab_nombre=$dato9['sab_nombre'];
            $com_id=$dato9['com_id'];
            $can8=mysqli_query($con,"INSERT INTO venta_espera_sabores (sab_id,sab_nombre,com_id,vec_id,vene_id) 
            VALUES ('$sab_id','$sab_nombre','$com_id','$vec_id','$vene_id')") or die(mysqli_error($con)); 
        }
        $sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_sabores_temp WHERE vdc_id='$vdc_id'") or  die(mysqli_error($con));
    }

    $sql=mysqli_query($con,"DELETE FROM seriales_temp WHERE usuario='$usu_id'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM venta_detalle_temp_lote where usuario='$usu_id'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM venta_detalle_sabores_temp where usuario='$usu_id'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM venta_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

    $sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_sabores_temp where usuario='$usu_id'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

    $sql=mysqli_query($con,"DELETE FROM cliente_venta_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
    $sql=mysqli_query($con,"DELETE FROM retencion_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con)); 
}   
?> 
<script type="text/javascript">
    document.getElementById("form_guia").reset();
</script>